import unittest
from ridge_detection import correct
from numpy import array_equal
from pickle import load as pickle_load
from os import path

ABSOLUTE_PATH = path.dirname(path.realpath(__file__))

class Test_constant_CTABLEH(unittest.TestCase):
    def test_(self):
        self.assertTrue(array_equal(correct.CTABLEH,[
                [[2.0, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.2, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.3, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.4, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.5, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.6, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.7, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.8, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.9, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.0, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.1, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.2, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.3, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.4, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.5, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.6, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.7, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.8, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [3.9, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.0, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.1, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.2, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.3, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.4, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.5, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.6, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.7, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.8, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [4.9, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.0, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.1, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.2, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.3, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.4, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.5, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.6, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.7, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.8, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [5.9, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [6.0, 0.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0]],
                [[2.0, 0.05, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.05, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.2, 0.05, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.3, 0.05, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.4, 0.05, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.5, 0.05, 0.39451193, 0.65711873, 1.35657624, 1.96381471, 0.53618529, 1],
                 [2.6, 0.05, 0.63729269, 0.80935336, 1.30029235, 2.03985229, 0.56014771, 1],
                 [2.7, 0.05, 0.81466418, 0.86836672, 1.24452224, 2.11300616, 0.58699384, 1],
                 [2.8, 0.05, 0.96412770, 0.89909203, 1.18944119, 2.18266521, 0.61733479, 1],
                 [2.9, 0.05, 1.09676455, 0.91717245, 1.13561041, 2.24831390, 0.65168610, 1],
                 [3.0, 0.05, 1.21692489, 0.92848988, 1.08384513, 2.30961284, 0.69038716, 1],
                 [3.1, 0.05, 1.32646409, 0.93580164, 1.03499886, 2.36645213, 0.73354787, 1],
                 [3.2, 0.05, 1.42633569, 0.94059785, 0.98974767, 2.41895971, 0.78104029, 1],
                 [3.3, 0.05, 1.51730916, 0.94376456, 0.94845804, 2.46746712, 0.83253288, 1],
                 [3.4, 0.05, 1.60025122, 0.94586075, 0.91116814, 2.51245011, 0.88754989, 1],
                 [3.5, 0.05, 1.67616918, 0.94725013, 0.87765423, 2.55446371, 0.94553629, 1],
                 [3.6, 0.05, 1.74614708, 0.94817227, 0.84753168, 2.59408497, 1.00591503, 1],
                 [3.7, 0.05, 1.81125741, 0.94878534, 0.82034984, 2.63186937, 1.06813063, 1],
                 [3.8, 0.05, 1.87248943, 0.94919364, 0.79566103, 2.66832172, 1.13167828, 1],
                 [3.9, 0.05, 1.93070645, 0.94946590, 0.77306078, 2.70388005, 1.19611995, 1],
                 [4.0, 0.05, 1.98662965, 0.94964748, 0.75220527, 2.73890956, 1.26109044, 1],
                 [4.1, 0.05, 2.04084073, 0.94976843, 0.73281358, 2.77370375, 1.32629625, 1],
                 [4.2, 0.05, 2.09379566, 0.94984878, 0.71466202, 2.80849036, 1.39150964, 1],
                 [4.3, 0.05, 2.14584335, 0.94990193, 0.69757485, 2.84343972, 1.45656028, 1],
                 [4.4, 0.05, 2.19724527, 0.94993688, 0.68141474, 2.87867411, 1.52132589, 1],
                 [4.5, 0.05, 2.24819385, 0.94995971, 0.66607397, 2.91427698, 1.58572302, 1],
                 [4.6, 0.05, 2.29882832, 0.94997451, 0.65146721, 2.95030144, 1.64969856, 1],
                 [4.7, 0.05, 2.34924790, 0.94998402, 0.63752588, 2.98677756, 1.71322244, 1],
                 [4.8, 0.05, 2.39952228, 0.94999007, 0.62419378, 3.02371845, 1.77628155, 1],
                 [4.9, 0.05, 2.44969972, 0.94999389, 0.61142395, 3.06112517, 1.83887483, 1],
                 [5.0, 0.05, 2.49981321, 0.94999628, 0.59917634, 3.09899049, 1.90100951, 1],
                 [5.1, 0.05, 2.54988502, 0.94999776, 0.58741617, 3.13730176, 1.96269824, 1],
                 [5.2, 0.05, 2.59992995, 0.94999866, 0.57611272, 3.17604302, 2.02395698, 1],
                 [5.3, 0.05, 2.64995776, 0.94999921, 0.56523852, 3.21519649, 2.08480351, 1],
                 [5.4, 0.05, 2.69997480, 0.94999954, 0.55476869, 3.25474362, 2.14525638, 1],
                 [5.5, 0.05, 2.74998512, 0.94999973, 0.54468056, 3.29466575, 2.20533425, 1],
                 [5.6, 0.05, 2.79999130, 0.94999985, 0.53495330, 3.33494464, 2.26505536, 1],
                 [5.7, 0.05, 2.84999497, 0.94999991, 0.52556769, 3.37556268, 2.32443732, 1],
                 [5.8, 0.05, 2.89999712, 0.94999995, 0.51650591, 3.41650304, 2.38349696, 1],
                 [5.9, 0.05, 2.94999837, 0.94999997, 0.50775142, 3.45774980, 2.44225020, 1],
                 [6.0, 0.05, 2.99999908, 0.94999998, 0.49928881, 3.49928790, 2.50071210, 1]],
                [[2.0, 0.10, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.10, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.2, 0.10, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.3, 0.10, 0.21877029, 0.37919742, 1.08959528, 1.70353792, 0.59646208, 1],
                 [2.4, 0.10, 0.55321986, 0.68457297, 1.04282943, 1.77631890, 0.62368110, 1],
                 [2.5, 0.10, 0.74830067, 0.77538178, 0.99782962, 1.84682624, 0.65317376, 1],
                 [2.6, 0.10, 0.90103267, 0.82093886, 0.95447592, 1.91457985, 0.68542015, 1],
                 [2.7, 0.10, 1.03086984, 0.84772552, 0.91285559, 1.97916489, 0.72083511, 1],
                 [2.8, 0.10, 1.14549804, 0.86473351, 0.87320467, 2.04028418, 0.75971582, 1],
                 [2.9, 0.10, 1.24865758, 0.87597877, 0.83581862, 2.09779835, 0.80220165, 1],
                 [3.0, 0.10, 1.34244262, 0.88357147, 0.80095702, 2.15174175, 0.84825825, 1],
                 [3.1, 0.10, 1.42823493, 0.88874994, 0.76877227, 2.20231067, 0.89768933, 1],
                 [3.2, 0.10, 1.50712643, 0.89229689, 0.73927998, 2.24982998, 0.95017002, 1],
                 [3.3, 0.10, 1.58009750, 0.89472991, 0.71236930, 2.29470881, 1.00529119, 1],
                 [3.4, 0.10, 1.64807137, 0.89639940, 0.68783797, 2.33739605, 1.06260395, 1],
                 [3.5, 0.10, 1.71191250, 0.89754487, 0.66543423, 2.37834252, 1.12165748, 1],
                 [3.6, 0.10, 1.77240775, 0.89833050, 0.64489333, 2.41797285, 1.18202715, 1],
                 [3.7, 0.10, 1.83024928, 0.89886882, 0.62596303, 2.45666745, 1.24333255, 1],
                 [3.8, 0.10, 1.88602625, 0.89923705, 0.60841798, 2.49475308, 1.30524692, 1],
                 [3.9, 0.10, 1.94022542, 0.89948824, 0.59206537, 2.53250020, 1.36749980, 1],
                 [4.0, 0.10, 1.99323862, 0.89965892, 0.57674481, 2.57012499, 1.42987501, 1],
                 [4.1, 0.10, 2.04537405, 0.89977429, 0.56232516, 2.60779445, 1.49220555, 1],
                 [4.2, 0.10, 2.09686919, 0.89985181, 0.54870000, 2.64563288, 1.55436712, 1],
                 [4.3, 0.10, 2.14790373, 0.89990351, 0.53578302, 2.68372903, 1.61627097, 1],
                 [4.4, 0.10, 2.19861130, 0.89993773, 0.52350376, 2.72214290, 1.67785710, 1],
                 [4.5, 0.10, 2.24908973, 0.89996017, 0.51180415, 2.76091205, 1.73908795, 1],
                 [4.6, 0.10, 2.29940959, 0.89997477, 0.50063564, 2.80005699, 1.79994301, 1],
                 [4.7, 0.10, 2.34962106, 0.89998416, 0.48995704, 2.83958563, 1.86041437, 1],
                 [4.8, 0.10, 2.39975932, 0.89999016, 0.47973283, 2.87949693, 1.92050307, 1],
                 [4.9, 0.10, 2.44984872, 0.89999394, 0.46993198, 2.91978370, 1.98021630, 1],
                 [5.0, 0.10, 2.49990590, 0.89999631, 0.46052697, 2.96043474, 2.03956526, 1],
                 [5.1, 0.10, 2.54994208, 0.89999777, 0.45149316, 3.00143639, 2.09856361, 1],
                 [5.2, 0.10, 2.59996471, 0.89999867, 0.44280828, 3.04277369, 2.15722631, 1],
                 [5.3, 0.10, 2.64997872, 0.89999921, 0.43445202, 3.08443117, 2.21556883, 1],
                 [5.4, 0.10, 2.69998730, 0.89999954, 0.42640580, 3.12639335, 2.27360665, 1],
                 [5.5, 0.10, 2.74999250, 0.89999973, 0.41865249, 3.16864514, 2.33135486, 1],
                 [5.6, 0.10, 2.79999562, 0.89999985, 0.41117628, 3.21117198, 2.38882802, 1],
                 [5.7, 0.10, 2.84999746, 0.89999991, 0.40396250, 3.25396002, 2.44603998, 1],
                 [5.8, 0.10, 2.89999855, 0.89999995, 0.39699754, 3.29699612, 2.50300388, 1],
                 [5.9, 0.10, 2.94999918, 0.89999997, 0.39026872, 3.34026792, 2.55973208, 1],
                 [6.0, 0.10, 2.99999954, 0.89999998, 0.38376422, 3.38376376, 2.61623624, 1]],
                [[2.0, 0.15, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.15, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.2, 0.15, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.3, 0.15, 0.51495761, 0.59473282, 0.87697386, 1.62862197, 0.67137803, 1],
                 [2.4, 0.15, 0.72159043, 0.70188701, 0.83862164, 1.69671098, 0.70328902, 1],
                 [2.5, 0.15, 0.87668389, 0.75502109, 0.80221797, 1.76246497, 0.73753503, 1],
                 [2.6, 0.15, 1.00530865, 0.78637591, 0.76769330, 1.82553960, 0.77446040, 1],
                 [2.7, 0.15, 1.11703187, 0.80644909, 0.73507961, 1.88568549, 0.81431451, 1],
                 [2.8, 0.15, 1.21658884, 0.81986940, 0.70445867, 1.94277809, 0.85722191, 1],
                 [2.9, 0.15, 1.30669230, 0.82905423, 0.67590851, 1.99683071, 0.90316929, 1],
                 [3.0, 0.15, 1.38910244, 0.83541673, 0.64946205, 2.04798808, 0.95201192, 1],
                 [3.1, 0.15, 1.46510896, 0.83984926, 0.62508653, 2.09650320, 1.00349680, 1],
                 [3.2, 0.15, 1.53575726, 0.84294409, 0.60268425, 2.14270447, 1.05729553, 1],
                 [3.3, 0.15, 1.60194844, 0.84510584, 0.58210775, 2.18696061, 1.11303939, 1],
                 [3.4, 0.15, 1.66447712, 0.84661499, 0.56318110, 2.22964917, 1.17035083, 1],
                 [3.5, 0.15, 1.72404185, 0.84766724, 0.54571992, 2.27113192, 1.22886808, 1],
                 [3.6, 0.15, 1.78124688, 0.84839950, 0.52954661, 2.31173802, 1.28826198, 1],
                 [3.7, 0.15, 1.83660380, 0.84890765, 0.51449966, 2.35175431, 1.34824569, 1],
                 [3.8, 0.15, 1.89053617, 0.84925898, 0.50043792, 2.39142152, 1.40857848, 1],
                 [3.9, 0.15, 1.94338714, 0.84950072, 0.48724130, 2.43093478, 1.46906522, 1],
                 [4.0, 0.15, 1.99542913, 0.84966610, 0.47480926, 2.47044699, 1.52955301, 1],
                 [4.1, 0.15, 2.04687439, 0.84977849, 0.46305830, 2.51007378, 1.58992622, 1],
                 [4.2, 0.15, 2.09788538, 0.84985430, 0.45191914, 2.54989923, 1.65010077, 1],
                 [4.3, 0.15, 2.14858449, 0.84990501, 0.44133403, 2.58998156, 1.71001844, 1],
                 [4.4, 0.15, 2.19906243, 0.84993863, 0.43125446, 2.63035849, 1.76964151, 1],
                 [4.5, 0.15, 2.24938551, 0.84996073, 0.42163920, 2.67105190, 1.82894810, 1],
                 [4.6, 0.15, 2.29960147, 0.84997511, 0.41245278, 2.71207185, 1.88792815, 1],
                 [4.7, 0.15, 2.34974423, 0.84998437, 0.40366432, 2.75341983, 1.94658017, 1],
                 [4.8, 0.15, 2.39983755, 0.84999029, 0.39524659, 2.79509131, 2.00490869, 1],
                 [4.9, 0.15, 2.44989790, 0.84999402, 0.38717534, 2.83707774, 2.06292226, 1],
                 [5.0, 0.15, 2.49993649, 0.84999636, 0.37942878, 2.87936807, 2.12063193, 1],
                 [5.1, 0.15, 2.54996091, 0.84999780, 0.37198714, 2.92194977, 2.17805023, 1],
                 [5.2, 0.15, 2.59997618, 0.84999869, 0.36483242, 2.96480966, 2.23519034, 1],
                 [5.3, 0.15, 2.64998564, 0.84999922, 0.35794813, 3.00793440, 2.29206560, 1],
                 [5.4, 0.15, 2.69999143, 0.84999954, 0.35131907, 3.05131088, 2.34868912, 1],
                 [5.5, 0.15, 2.74999494, 0.84999974, 0.34493122, 3.09492638, 2.40507362, 1],
                 [5.6, 0.15, 2.79999704, 0.84999985, 0.33877160, 3.13876878, 2.46123122, 1],
                 [5.7, 0.15, 2.84999829, 0.84999991, 0.33282817, 3.18282653, 2.51717347, 1],
                 [5.8, 0.15, 2.89999902, 0.84999995, 0.32708971, 3.22708877, 2.57291123, 1],
                 [5.9, 0.15, 2.94999944, 0.84999997, 0.32154579, 3.27154526, 2.62845474, 1],
                 [6.0, 0.15, 2.99999969, 0.84999999, 0.31618668, 3.31618638, 2.68381362, 1]],
                [[2.0, 0.20, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.20, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.2, 0.20, 0.37590631, 0.43802047, 0.76653390, 1.50171448, 0.69828552, 1],
                 [2.3, 0.20, 0.63559658, 0.60584521, 0.73239191, 1.56839938, 0.73160062, 1],
                 [2.4, 0.20, 0.80878262, 0.67788209, 0.70033504, 1.63318175, 0.76681825, 1],
                 [2.5, 0.20, 0.94582063, 0.71853708, 0.67018762, 1.69574617, 0.80425383, 1],
                 [2.6, 0.20, 1.06169829, 0.74408983, 0.64186257, 1.75584733, 0.84415267, 1],
                 [2.7, 0.20, 1.16325725, 0.76106674, 0.61532865, 1.81333658, 0.88666342, 1],
                 [2.8, 0.20, 1.25425748, 0.77269612, 0.59057551, 1.86817741, 0.93182259, 1],
                 [2.9, 0.20, 1.33703363, 0.78079692, 0.56758359, 1.92044640, 0.97955360, 1],
                 [3.0, 0.20, 1.41319160, 0.78648913, 0.54630509, 1.97031993, 1.02968007, 1],
                 [3.1, 0.20, 1.48393871, 0.79050502, 0.52665770, 2.01805066, 1.08194934, 1],
                 [3.2, 0.20, 1.55024608, 0.79334205, 0.50852903, 2.06393933, 1.13606067, 1],
                 [3.3, 0.20, 1.61292714, 0.79534577, 0.49178706, 2.10830716, 1.19169284, 1],
                 [3.4, 0.20, 1.67267443, 0.79675906, 0.47629207, 2.15147240, 1.24852760, 1],
                 [3.5, 0.20, 1.73007717, 0.79775370, 0.46190686, 2.19373281, 1.30626719, 1],
                 [3.6, 0.20, 1.78563151, 0.79845154, 0.44850391, 2.23535435, 1.36464565, 1],
                 [3.7, 0.20, 1.83974889, 0.79893917, 0.43596922, 2.27656528, 1.42343472, 1],
                 [3.8, 0.20, 1.89276472, 0.79927822, 0.42420368, 2.31755461, 1.48244539, 1],
                 [3.9, 0.20, 1.94494772, 0.79951258, 0.41312261, 2.35847367, 1.54152633, 1],
                 [4.0, 0.20, 1.99650948, 0.79967348, 0.40265439, 2.39943952, 1.60056048, 1],
                 [4.1, 0.20, 2.04761394, 0.79978311, 0.39273860, 2.44053948, 1.65946052, 1],
                 [4.2, 0.20, 2.09838610, 0.79985720, 0.38332416, 2.48183600, 1.71816400, 1],
                 [4.3, 0.20, 2.14891984, 0.79990684, 0.37436767, 2.52337133, 1.77662867, 1],
                 [4.4, 0.20, 2.19928463, 0.79993979, 0.36583189, 2.56517188, 1.83482812, 1],
                 [4.5, 0.20, 2.24953118, 0.79996146, 0.35768458, 2.60725196, 1.89274804, 1],
                 [4.6, 0.20, 2.29969596, 0.79997556, 0.34989750, 2.64961691, 1.95038309, 1],
                 [4.7, 0.20, 2.34980488, 0.79998466, 0.34244571, 2.69226562, 2.00773438, 1],
                 [4.8, 0.20, 2.39987607, 0.79999046, 0.33530694, 2.73519256, 2.06480744, 1],
                 [4.9, 0.20, 2.44992211, 0.79999413, 0.32846117, 2.77838928, 2.12161072, 1],
                 [5.0, 0.20, 2.49995155, 0.79999642, 0.32189024, 2.82184552, 2.17815448, 1],
                 [5.1, 0.20, 2.54997018, 0.79999784, 0.31557763, 2.86555011, 2.23444989, 1],
                 [5.2, 0.20, 2.59998183, 0.79999871, 0.30950821, 2.90949144, 2.29050856, 1],
                 [5.3, 0.20, 2.64998905, 0.79999924, 0.30366807, 2.95365795, 2.34634205, 1],
                 [5.4, 0.20, 2.69999346, 0.79999955, 0.29804437, 2.99803833, 2.40196167, 1],
                 [5.5, 0.20, 2.74999614, 0.79999974, 0.29262525, 3.04262169, 2.45737831, 1],
                 [5.6, 0.20, 2.79999774, 0.79999985, 0.28739973, 3.08739764, 2.51260236, 1],
                 [5.7, 0.20, 2.84999869, 0.79999992, 0.28235758, 3.13235638, 2.56764362, 1],
                 [5.8, 0.20, 2.89999925, 0.79999995, 0.27748933, 3.17748864, 2.62251136, 1],
                 [5.9, 0.20, 2.94999958, 0.79999997, 0.27278610, 3.22278571, 2.67721429, 1],
                 [6.0, 0.20, 2.99999976, 0.79999999, 0.26823966, 3.26823944, 2.73176056, 1]],
                [[2.0, 0.25, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.25, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.2, 0.25, 0.49051664, 0.47302665, 0.65299040, 1.45370728, 0.74629272, 1],
                 [2.3, 0.25, 0.70654277, 0.58587424, 0.62387277, 1.51781779, 0.78218221, 1],
                 [2.4, 0.25, 0.86254475, 0.64276424, 0.59669908, 1.58013510, 0.81986490, 1],
                 [2.5, 0.25, 0.98885072, 0.67692377, 0.57130310, 1.64041031, 0.85958969, 1],
                 [2.6, 0.25, 1.09671577, 0.69913021, 0.54757929, 1.69846629, 0.90153371, 1],
                 [2.7, 0.25, 1.19177317, 0.71419745, 0.52545825, 1.75421551, 0.94578449, 1],
                 [2.8, 0.25, 1.27730932, 0.72467006, 0.50488363, 1.80766749, 0.99233251, 1],
                 [2.9, 0.25, 1.35545462, 0.73204727, 0.48579446, 1.85892429, 1.04107571, 1],
                 [3.0, 0.25, 1.42771267, 0.73728047, 0.46811529, 1.90816570, 1.09183430, 1],
                 [3.1, 0.25, 1.49522093, 0.74100442, 0.45175407, 1.95562773, 1.14437227, 1],
                 [3.2, 0.25, 1.55888484, 0.74365637, 0.43660583, 2.00157893, 1.19842107, 1],
                 [3.3, 0.25, 1.61944785, 0.74554338, 0.42255911, 2.04629816, 1.25370184, 1],
                 [3.4, 0.25, 1.67752880, 0.74688343, 0.40950270, 2.09005636, 1.30994364, 1],
                 [3.5, 0.25, 1.73364333, 0.74783222, 0.39733104, 2.13310339, 1.36689661, 1],
                 [3.6, 0.25, 1.78821810, 0.74850134, 0.38594779, 2.17565984, 1.42434016, 1],
                 [3.7, 0.25, 1.84160206, 0.74897093, 0.37526743, 2.21791321, 1.48208679, 1],
                 [3.8, 0.25, 1.89407674, 0.74929858, 0.36521557, 2.26001739, 1.53998261, 1],
                 [3.9, 0.25, 1.94586592, 0.74952569, 0.35572824, 2.30209454, 1.59790546, 1],
                 [4.0, 0.25, 1.99714487, 0.74968193, 0.34675074, 2.34423832, 1.65576168, 1],
                 [4.1, 0.25, 2.04804877, 0.74978857, 0.33823633, 2.38651791, 1.71348209, 1],
                 [4.2, 0.25, 2.09868045, 0.74986072, 0.33014493, 2.42898213, 1.77101787, 1],
                 [4.3, 0.25, 2.14911695, 0.74990910, 0.32244193, 2.47166346, 1.82833654, 1],
                 [4.4, 0.25, 2.19941523, 0.74994124, 0.31509724, 2.51458157, 1.88541843, 1],
                 [4.5, 0.25, 2.24961679, 0.74996237, 0.30808444, 2.55774645, 1.94225355, 1],
                 [4.6, 0.25, 2.29975149, 0.74997614, 0.30138016, 2.60116094, 1.99883906, 1],
                 [4.7, 0.25, 2.34984051, 0.74998502, 0.29496352, 2.64482282, 2.05517718, 1],
                 [4.8, 0.25, 2.39989871, 0.74999069, 0.28881575, 2.68872639, 2.11127361, 1],
                 [4.9, 0.25, 2.44993634, 0.74999427, 0.28291989, 2.73286372, 2.16713628, 1],
                 [5.0, 0.25, 2.49996040, 0.74999651, 0.27726047, 2.77722553, 2.22277447, 1],
                 [5.1, 0.25, 2.54997563, 0.74999789, 0.27182337, 2.82180186, 2.27819814, 1],
                 [5.2, 0.25, 2.59998515, 0.74999874, 0.26659562, 2.86658252, 2.33341748, 1],
                 [5.3, 0.25, 2.64999105, 0.74999925, 0.26156530, 2.91155740, 2.38844260, 1],
                 [5.4, 0.25, 2.69999466, 0.74999956, 0.25672136, 2.95671665, 2.44328335, 1],
                 [5.5, 0.25, 2.74999684, 0.74999975, 0.25205363, 3.00205084, 2.49794916, 1],
                 [5.6, 0.25, 2.79999816, 0.74999985, 0.24755262, 3.04755100, 2.55244900, 1],
                 [5.7, 0.25, 2.84999893, 0.74999992, 0.24320957, 3.09320863, 2.60679137, 1],
                 [5.8, 0.25, 2.89999939, 0.74999995, 0.23901629, 3.13901575, 2.66098425, 1],
                 [5.9, 0.25, 2.94999965, 0.74999997, 0.23496516, 3.18496485, 2.71503515, 1],
                 [6.0, 0.25, 2.99999980, 0.74999999, 0.23104907, 3.23104889, 2.76895111, 1]],
                [[2.0, 0.30, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.30, 0.19884299, 0.20897708, 0.58948101, 1.34865205, 0.75134795, 1],
                 [2.2, 0.30, 0.55937095, 0.46700161, 0.56245044, 1.41210868, 0.78789132, 1],
                 [2.3, 0.30, 0.75341627, 0.55505276, 0.53741842, 1.47416043, 0.82583957, 1],
                 [2.4, 0.30, 0.89872623, 0.60314368, 0.51416156, 1.53455950, 0.86544050, 1],
                 [2.5, 0.30, 1.01788562, 0.63309675, 0.49251953, 1.59310755, 0.90689245, 1],
                 [2.6, 0.30, 1.12027617, 0.65298432, 0.47237696, 1.64967455, 0.95032545, 1],
                 [2.7, 0.30, 1.21086498, 0.66666488, 0.45364551, 1.70421082, 0.99578918, 1],
                 [2.8, 0.30, 1.29265934, 0.67626845, 0.43624821, 1.75674988, 1.04325012, 1],
                 [2.9, 0.30, 1.36765779, 0.68308727, 0.42010833, 1.80740165, 1.09259835, 1],
                 [3.0, 0.30, 1.43728866, 0.68795774, 0.40514362, 1.85633799, 1.14366201, 1],
                 [3.1, 0.30, 1.50263285, 0.69144536, 0.39126535, 1.90377369, 1.19622631, 1],
                 [3.2, 0.30, 1.56454282, 0.69394346, 0.37838064, 1.94994645, 1.25005355, 1],
                 [3.3, 0.30, 1.62370843, 0.69573049, 0.36639627, 1.99509869, 1.30490131, 1],
                 [3.4, 0.30, 1.68069485, 0.69700563, 0.35522244, 2.03946299, 1.36053701, 1],
                 [3.5, 0.30, 1.73596605, 0.69791224, 0.34477567, 2.08325171, 1.41674829, 1],
                 [3.6, 0.30, 1.78990111, 0.69855388, 0.33498051, 2.12665089, 1.47334911, 1],
                 [3.7, 0.30, 1.84280698, 0.69900549, 0.32577022, 2.16981758, 1.53018242, 1],
                 [3.8, 0.30, 1.89492937, 0.69932134, 0.31708653, 2.21287989, 1.58712011, 1],
                 [3.9, 0.30, 1.94646242, 0.69954066, 0.30887903, 2.25593887, 1.64406113, 1],
                 [4.0, 0.30, 1.99755753, 0.69969177, 0.30110420, 2.29907151, 1.70092849, 1],
                 [4.1, 0.30, 2.04833113, 0.69979501, 0.29372442, 2.34233421, 1.75766579, 1],
                 [4.2, 0.30, 2.09887157, 0.69986492, 0.28670707, 2.38576641, 1.81423359, 1],
                 [4.3, 0.30, 2.14924492, 0.69991182, 0.28002367, 2.42939394, 1.87060606, 1],
                 [4.4, 0.30, 2.19950001, 0.69994298, 0.27364918, 2.47323205, 1.92676795, 1],
                 [4.5, 0.30, 2.24967236, 0.69996349, 0.26756143, 2.51728802, 1.98271198, 1],
                 [4.6, 0.30, 2.29978753, 0.69997685, 0.26174062, 2.56156329, 2.03843671, 1],
                 [4.7, 0.30, 2.34986365, 0.69998546, 0.25616898, 2.60605517, 2.09394483, 1],
                 [4.8, 0.30, 2.39991341, 0.69999096, 0.25083044, 2.65075816, 2.14924184, 1],
                 [4.9, 0.30, 2.44994558, 0.69999444, 0.24571041, 2.69566498, 2.20433502, 1],
                 [5.0, 0.30, 2.49996615, 0.69999661, 0.24079556, 2.74076730, 2.25923270, 1],
                 [5.1, 0.30, 2.54997916, 0.69999795, 0.23607369, 2.78605629, 2.31394371, 1],
                 [5.2, 0.30, 2.59998731, 0.69999878, 0.23153358, 2.83152298, 2.36847702, 1],
                 [5.3, 0.30, 2.64999235, 0.69999928, 0.22716488, 2.87715849, 2.42284151, 1],
                 [5.4, 0.30, 2.69999543, 0.69999958, 0.22295804, 2.92295423, 2.47704577, 1],
                 [5.5, 0.30, 2.74999730, 0.69999975, 0.21890421, 2.96890196, 2.53109804, 1],
                 [5.6, 0.30, 2.79999842, 0.69999986, 0.21499518, 3.01499386, 2.58500614, 1],
                 [5.7, 0.30, 2.84999909, 0.69999992, 0.21122332, 3.06122256, 2.63877744, 1],
                 [5.8, 0.30, 2.89999948, 0.69999995, 0.20758153, 3.10758109, 2.69241891, 1],
                 [5.9, 0.30, 2.94999970, 0.69999997, 0.20406319, 3.15406295, 2.74593705, 1],
                 [6.0, 0.30, 2.99999983, 0.69999999, 0.20066214, 3.20066200, 2.79933800, 1]],
                [[2.0, 0.35, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.35, 0.31058194, 0.27187533, 0.51078789, 1.31374879, 0.78625121, 1],
                 [2.2, 0.35, 0.60585595, 0.44597273, 0.48736121, 1.37539954, 0.82460046, 1],
                 [2.3, 0.35, 0.78639656, 0.51929824, 0.46573718, 1.43575638, 0.86424362, 1],
                 [2.4, 0.35, 0.92441221, 0.56134639, 0.44571307, 1.49461136, 0.90538864, 1],
                 [2.5, 0.35, 1.03850866, 0.58817989, 0.42713590, 1.55180474, 0.94819526, 1],
                 [2.6, 0.35, 1.13696795, 0.60625800, 0.40988816, 1.60723960, 0.99276040, 1],
                 [2.7, 0.35, 1.22434150, 0.61881631, 0.39387454, 1.66089003, 1.03910997, 1],
                 [2.8, 0.35, 1.30345305, 0.62769657, 0.37901100, 1.71280133, 1.08719867, 1],
                 [2.9, 0.35, 1.37620809, 0.63403951, 0.36521726, 1.76308249, 1.13691751, 1],
                 [3.0, 0.35, 1.44397740, 0.63859380, 0.35241298, 1.81189275, 1.18810725, 1],
                 [3.1, 0.35, 1.50779670, 0.64187057, 0.34051700, 1.85942498, 1.24057502, 1],
                 [3.2, 0.35, 1.56847660, 0.64422792, 0.32944865, 1.90588868, 1.29411132, 1],
                 [3.3, 0.35, 1.62666592, 0.64592096, 0.31912979, 1.95149491, 1.34850509, 1],
                 [3.4, 0.35, 1.68288990, 0.64713328, 0.30948693, 1.99644433, 1.40355567, 1],
                 [3.5, 0.35, 1.73757494, 0.64799784, 0.30045264, 2.04091894, 1.45908106, 1],
                 [3.6, 0.35, 1.79106612, 0.64861128, 0.29196638, 2.08507722, 1.51492278, 1],
                 [3.7, 0.35, 1.84364065, 0.64904394, 0.28397461, 2.12905235, 1.57094765, 1],
                 [3.8, 0.35, 1.89551908, 0.64934704, 0.27643042, 2.17295242, 1.62704758, 1],
                 [3.9, 0.35, 1.94687488, 0.64955778, 0.26929297, 2.21686233, 1.68313767, 1],
                 [4.0, 0.35, 1.99784283, 0.64970312, 0.26252672, 2.26084640, 1.73915360, 1],
                 [4.1, 0.35, 2.04852632, 0.64980249, 0.25610068, 2.30495152, 1.79504848, 1],
                 [4.2, 0.35, 2.09900367, 0.64986981, 0.24998771, 2.34921018, 1.85078982, 1],
                 [4.3, 0.35, 2.14933338, 0.64991500, 0.24416391, 2.39364340, 1.90635660, 1],
                 [4.4, 0.35, 2.19955860, 0.64994503, 0.23860812, 2.43826334, 1.96173666, 1],
                 [4.5, 0.35, 2.24971077, 0.64996480, 0.23330145, 2.48307546, 2.01692454, 1],
                 [4.6, 0.35, 2.29981245, 0.64997768, 0.22822695, 2.52808038, 2.07191962, 1],
                 [4.7, 0.35, 2.34987964, 0.64998598, 0.22336933, 2.57327526, 2.12672474, 1],
                 [4.8, 0.35, 2.39992356, 0.64999128, 0.21871472, 2.61865497, 2.18134503, 1],
                 [4.9, 0.35, 2.44995196, 0.64999463, 0.21425049, 2.66421293, 2.23578707, 1],
                 [5.0, 0.35, 2.49997012, 0.64999673, 0.20996507, 2.70994171, 2.29005829, 1],
                 [5.1, 0.35, 2.54998161, 0.64999803, 0.20584785, 2.75583348, 2.34416652, 1],
                 [5.2, 0.35, 2.59998879, 0.64999882, 0.20188909, 2.80188033, 2.39811967, 1],
                 [5.3, 0.35, 2.64999324, 0.64999930, 0.19807978, 2.84807449, 2.45192551, 1],
                 [5.4, 0.35, 2.69999597, 0.64999959, 0.19441158, 2.89440843, 2.50559157, 1],
                 [5.5, 0.35, 2.74999762, 0.64999976, 0.19087679, 2.94087493, 2.55912507, 1],
                 [5.6, 0.35, 2.79999861, 0.64999986, 0.18746826, 2.98746717, 2.61253283, 1],
                 [5.7, 0.35, 2.84999919, 0.64999992, 0.18417933, 3.03417870, 2.66582130, 1],
                 [5.8, 0.35, 2.89999954, 0.64999996, 0.18100382, 3.08100346, 2.71899654, 1],
                 [5.9, 0.35, 2.94999974, 0.64999998, 0.17793596, 3.12793575, 2.77206425, 1],
                 [6.0, 0.35, 2.99999985, 0.64999999, 0.17497036, 3.17497024, 2.82502976, 1]],
                [[2.0, 0.40, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.40, 0.37456090, 0.28275455, 0.44363568, 1.28245932, 0.81754068, 1],
                 [2.2, 0.40, 0.63912110, 0.41788353, 0.42330376, 1.34256272, 0.85743728, 1],
                 [2.3, 0.40, 0.81053189, 0.48100260, 0.40458396, 1.40149073, 0.89850927, 1],
                 [2.4, 0.40, 0.94330141, 0.51841224, 0.38729233, 1.45906826, 0.94093174, 1],
                 [2.5, 0.40, 1.05367129, 0.54270452, 0.37128539, 1.51516543, 0.98483457, 1],
                 [2.6, 0.40, 1.14921427, 0.55924766, 0.35644883, 1.56970904, 1.03029096, 1],
                 [2.7, 0.40, 1.23420161, 0.57082520, 0.34268752, 1.62268813, 1.07731187, 1],
                 [2.8, 0.40, 1.31132809, 0.57905816, 0.32991766, 1.67415274, 1.12584726, 1],
                 [2.9, 0.40, 1.38243026, 0.58496622, 0.31806138, 1.72420637, 1.17579363, 1],
                 [3.0, 0.40, 1.44883409, 0.58922570, 0.30704391, 1.77299382, 1.22700618, 1],
                 [3.1, 0.40, 1.51153932, 0.59230176, 0.29679281, 1.82068675, 1.27931325, 1],
                 [3.2, 0.40, 1.57132355, 0.59452222, 0.28723849, 1.86746919, 1.33253081, 1],
                 [3.3, 0.40, 1.62880389, 0.59612178, 0.27831524, 1.91352489, 1.38647511, 1],
                 [3.4, 0.40, 1.68447533, 0.59727021, 0.26996223, 1.95902743, 1.44097257, 1],
                 [3.5, 0.40, 1.73873626, 0.59809108, 0.26212422, 2.00413341, 1.49586659, 1],
                 [3.6, 0.40, 1.79190664, 0.59867462, 0.25475177, 2.04897866, 1.55102134, 1],
                 [3.7, 0.40, 1.84424192, 0.59908684, 0.24780112, 2.09367686, 1.60632314, 1],
                 [3.8, 0.40, 1.89594430, 0.59937596, 0.24123384, 2.13831999, 1.66168001, 1],
                 [3.9, 0.40, 1.94717224, 0.59957718, 0.23501625, 2.18298001, 1.71701999, 1],
                 [4.0, 0.40, 1.99804848, 0.59971605, 0.22911884, 2.22771125, 1.77228875, 1],
                 [4.1, 0.40, 2.04866701, 0.59981104, 0.22351569, 2.27255308, 1.82744692, 1],
                 [4.2, 0.40, 2.09909888, 0.59987543, 0.21818395, 2.31753265, 1.88246735, 1],
                 [4.3, 0.40, 2.14939712, 0.59991865, 0.21310333, 2.36266734, 1.93733266, 1],
                 [4.4, 0.40, 2.19960083, 0.59994739, 0.20825579, 2.40796699, 1.99203301, 1],
                 [4.5, 0.40, 2.24973845, 0.59996631, 0.20362511, 2.45343583, 2.04656417, 1],
                 [4.6, 0.40, 2.29983040, 0.59997863, 0.19919671, 2.49907395, 2.10092605, 1],
                 [4.7, 0.40, 2.34989116, 0.59998658, 0.19495737, 2.54487857, 2.15512143, 1],
                 [4.8, 0.40, 2.39993088, 0.59999166, 0.19089505, 2.59084501, 2.20915499, 1],
                 [4.9, 0.40, 2.44995656, 0.59999486, 0.18699880, 2.63696735, 2.26303265, 1],
                 [5.0, 0.40, 2.49997298, 0.59999687, 0.18325856, 2.68323900, 2.31676100, 1],
                 [5.1, 0.40, 2.54998337, 0.59999811, 0.17966510, 2.72965305, 2.37034695, 1],
                 [5.2, 0.40, 2.59998987, 0.59999887, 0.17620990, 2.77620256, 2.42379744, 1],
                 [5.3, 0.40, 2.64999389, 0.59999933, 0.17288513, 2.82288070, 2.47711930, 1],
                 [5.4, 0.40, 2.69999635, 0.59999961, 0.16968352, 2.86968088, 2.53031912, 1],
                 [5.5, 0.40, 2.74999785, 0.59999977, 0.16659834, 2.91659678, 2.58340322, 1],
                 [5.6, 0.40, 2.79999874, 0.59999987, 0.16362336, 2.96362245, 2.63637755, 1],
                 [5.7, 0.40, 2.84999927, 0.59999993, 0.16075277, 3.01075224, 2.68924776, 1],
                 [5.8, 0.40, 2.89999958, 0.59999996, 0.15798117, 3.05798086, 2.74201914, 1],
                 [5.9, 0.40, 2.94999976, 0.59999998, 0.15530352, 3.10530335, 2.79469665, 1],
                 [6.0, 0.40, 2.99999987, 0.59999999, 0.15271512, 3.15271503, 2.84728497, 1]],
                [[2.0, 0.45, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.45, 0.41769854, 0.27510240, 0.38511611, 1.25412247, 0.84587753, 1],
                 [2.2, 0.45, 0.66376521, 0.38605432, 0.36748599, 1.31287743, 0.88712257, 1],
                 [2.3, 0.45, 0.82865726, 0.44132724, 0.35128599, 1.37057701, 0.92942299, 1],
                 [2.4, 0.45, 0.95752783, 0.47488055, 0.33635029, 1.42707342, 0.97292658, 1],
                 [2.5, 0.45, 1.06508578, 0.49695695, 0.32254657, 1.48226033, 1.01773967, 1],
                 [2.6, 0.45, 1.15841758, 0.51211685, 0.30976712, 1.53608183, 1.06391817, 1],
                 [2.7, 0.45, 1.24159602, 0.52278857, 0.29792123, 1.58853624, 1.11146376, 1],
                 [2.8, 0.45, 1.31722136, 0.53041163, 0.28692929, 1.63967412, 1.16032588, 1],
                 [2.9, 0.45, 1.38707770, 0.53590256, 0.27671873, 1.68959112, 1.21040888, 1],
                 [3.0, 0.45, 1.45245568, 0.53987437, 0.26722183, 1.73841714, 1.26158286, 1],
                 [3.1, 0.45, 1.51432639, 0.54275120, 0.25837482, 1.78630380, 1.31369620, 1],
                 [3.2, 0.45, 1.57344137, 0.54483338, 0.25011791, 1.83341213, 1.36658787, 1],
                 [3.3, 0.45, 1.63039298, 0.54633690, 0.24239568, 1.87990181, 1.42009819, 1],
                 [3.4, 0.45, 1.68565300, 0.54741860, 0.23515743, 1.92592296, 1.47407704, 1],
                 [3.5, 0.45, 1.73959850, 0.54819313, 0.22835743, 1.97161052, 1.52838948, 1],
                 [3.6, 0.45, 1.79253049, 0.54874453, 0.22195484, 2.01708113, 1.58291887, 1],
                 [3.7, 0.45, 1.84468807, 0.54913449, 0.21591352, 2.06243215, 1.63756785, 1],
                 [3.8, 0.45, 1.89625977, 0.54940826, 0.21020157, 2.10774212, 1.69225788, 1],
                 [3.9, 0.45, 1.94739281, 0.54959892, 0.20479094, 2.15307233, 1.74692767, 1],
                 [4.0, 0.45, 1.99820102, 0.54973058, 0.19965688, 2.19846890, 1.80153110, 1],
                 [4.1, 0.45, 2.04877136, 0.54982068, 0.19477754, 2.24396514, 1.85603486, 1],
                 [4.2, 0.45, 2.09916950, 0.54988177, 0.19013352, 2.28958387, 1.91041613, 1],
                 [4.3, 0.45, 2.14944440, 0.54992279, 0.18570755, 2.33533960, 1.96466040, 1],
                 [4.4, 0.45, 2.19963215, 0.54995006, 0.18148415, 2.38124042, 2.01875958, 1],
                 [4.5, 0.45, 2.24975898, 0.54996801, 0.17744937, 2.42728962, 2.07271038, 1],
                 [4.6, 0.45, 2.29984372, 0.54997971, 0.17359063, 2.47348702, 2.12651298, 1],
                 [4.7, 0.45, 2.34989971, 0.54998726, 0.16989648, 2.51982999, 2.18017001, 1],
                 [4.8, 0.45, 2.39993631, 0.54999208, 0.16635652, 2.56631429, 2.23368571, 1],
                 [4.9, 0.45, 2.44995997, 0.54999512, 0.16296121, 2.61293466, 2.28706534, 1],
                 [5.0, 0.45, 2.49997510, 0.54999703, 0.15970181, 2.65968530, 2.34031470, 1],
                 [5.1, 0.45, 2.54998467, 0.54999821, 0.15657030, 2.70656013, 2.39343987, 1],
                 [5.2, 0.45, 2.59999066, 0.54999893, 0.15355927, 2.75355307, 2.44644693, 1],
                 [5.3, 0.45, 2.64999437, 0.54999937, 0.15066188, 2.80065815, 2.49934185, 1],
                 [5.4, 0.45, 2.69999664, 0.54999963, 0.14787183, 2.84786960, 2.55213040, 1],
                 [5.5, 0.45, 2.74999801, 0.54999978, 0.14518324, 2.89518192, 2.60481808, 1],
                 [5.6, 0.45, 2.79999884, 0.54999988, 0.14259067, 2.94258990, 2.65741010, 1],
                 [5.7, 0.45, 2.84999933, 0.54999993, 0.14008908, 2.99008863, 2.70991137, 1],
                 [5.8, 0.45, 2.89999962, 0.54999996, 0.13767374, 3.03767349, 2.76232651, 1],
                 [5.9, 0.45, 2.94999978, 0.54999998, 0.13534029, 3.08534014, 2.81465986, 1],
                 [6.0, 0.45, 2.99999988, 0.54999999, 0.13308462, 3.13308454, 2.86691546, 1]],
                [[2.0, 0.50, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.50, 0.44869156, 0.25849821, 0.33327761, 1.22824842, 0.87175158, 1],
                 [2.2, 0.50, 0.68242228, 0.35213591, 0.31803939, 1.28581142, 0.91418858, 1],
                 [2.3, 0.50, 0.84250174, 0.40090835, 0.30405912, 1.34243721, 0.95756279, 1],
                 [2.4, 0.50, 0.96841366, 0.43106108, 0.29118868, 1.39800106, 1.00199894, 1],
                 [2.5, 0.50, 1.07381550, 0.45110637, 0.27930804, 1.45241549, 1.04758451, 1],
                 [2.6, 0.50, 1.16544657, 0.46496387, 0.26831818, 1.50563740, 1.09436260, 1],
                 [2.7, 0.50, 1.24723424, 0.47476530, 0.25813518, 1.55767069, 1.14232931, 1],
                 [2.8, 0.50, 1.32170772, 0.48179260, 0.24868574, 1.60856389, 1.19143611, 1],
                 [2.9, 0.50, 1.39061051, 0.48687002, 0.23990401, 1.65840363, 1.24159637, 1],
                 [3.0, 0.50, 1.45520527, 0.49055260, 0.23172974, 1.70730505, 1.29269495, 1],
                 [3.1, 0.50, 1.51644027, 0.49322635, 0.22410735, 1.75540106, 1.34459894, 1],
                 [3.2, 0.50, 1.57504634, 0.49516570, 0.21698568, 1.80283177, 1.39716823, 1],
                 [3.3, 0.50, 1.63159652, 0.49656872, 0.21031794, 1.84973546, 1.45026454, 1],
                 [3.4, 0.50, 1.68654452, 0.49757976, 0.20406173, 1.89624161, 1.50375839, 1],
                 [3.5, 0.50, 1.74025100, 0.49830468, 0.19817896, 1.94246628, 1.55753372, 1],
                 [3.6, 0.50, 1.79300246, 0.49882135, 0.19263572, 1.98850956, 1.61149044, 1],
                 [3.7, 0.50, 1.84502555, 0.49918708, 0.18740192, 2.03445477, 1.66554523, 1],
                 [3.8, 0.50, 1.89649836, 0.49944402, 0.18245095, 2.08036902, 1.71963098, 1],
                 [3.9, 0.50, 1.94755963, 0.49962306, 0.17775928, 2.12630453, 1.77369547, 1],
                 [4.0, 0.50, 1.99831638, 0.49974675, 0.17330609, 2.17230053, 1.82769947, 1],
                 [4.1, 0.50, 2.04885027, 0.49983142, 0.16907289, 2.21838525, 1.88161475, 1],
                 [4.2, 0.50, 2.09922289, 0.49988883, 0.16504319, 2.26457795, 1.93542205, 1],
                 [4.3, 0.50, 2.14948015, 0.49992740, 0.16120223, 2.31089079, 1.98910921, 1],
                 [4.4, 0.50, 2.19965583, 0.49995304, 0.15753675, 2.35733046, 2.04266954, 1],
                 [4.5, 0.50, 2.24977450, 0.49996992, 0.15403478, 2.40389957, 2.09610043, 1],
                 [4.6, 0.50, 2.29985378, 0.49998092, 0.15068545, 2.45059776, 2.14940224, 1],
                 [4.7, 0.50, 2.34990617, 0.49998802, 0.14747891, 2.49742263, 2.20257737, 1],
                 [4.8, 0.50, 2.39994041, 0.49999255, 0.14440614, 2.54437040, 2.25562960, 1],
                 [4.9, 0.50, 2.44996255, 0.49999541, 0.14145890, 2.59143643, 2.30856357, 1],
                 [5.0, 0.50, 2.49997671, 0.49999720, 0.13862961, 2.63861563, 2.36138437, 1],
                 [5.1, 0.50, 2.54998566, 0.49999831, 0.13591131, 2.68590271, 2.41409729, 1],
                 [5.2, 0.50, 2.59999126, 0.49999899, 0.13329759, 2.73329235, 2.46670765, 1],
                 [5.3, 0.50, 2.64999473, 0.49999940, 0.13078252, 2.78077936, 2.51922064, 1],
                 [5.4, 0.50, 2.69999686, 0.49999965, 0.12836061, 2.82835872, 2.57164128, 1],
                 [5.5, 0.50, 2.74999814, 0.49999980, 0.12602677, 2.87602566, 2.62397434, 1],
                 [5.6, 0.50, 2.79999892, 0.49999988, 0.12377629, 2.92377564, 2.67622436, 1],
                 [5.7, 0.50, 2.84999937, 0.49999993, 0.12160477, 2.97160440, 2.72839560, 1],
                 [5.8, 0.50, 2.89999964, 0.49999996, 0.11950814, 3.01950792, 2.78049208, 1],
                 [5.9, 0.50, 2.94999980, 0.49999998, 0.11748257, 3.06748245, 2.83251755, 1],
                 [6.0, 0.50, 2.99999989, 0.49999999, 0.11552453, 3.11552446, 2.88447554, 1]],
                [[2.0, 0.55, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.55, 0.47169642, 0.23701703, 0.28675177, 1.20446254, 0.89553746, 1],
                 [2.2, 0.55, 0.69673178, 0.31704774, 0.27365647, 1.26095901, 0.93904099, 1],
                 [2.3, 0.55, 0.85318493, 0.36012574, 0.26165698, 1.31663290, 0.98336710, 1],
                 [2.4, 0.55, 0.97682353, 0.38714561, 0.25062250, 1.37137916, 1.02862084, 1],
                 [2.5, 0.55, 1.08055639, 0.40525985, 0.24044589, 1.42512571, 1.07487429, 1],
                 [2.6, 0.55, 1.17086826, 0.41785174, 0.23103800, 1.47783911, 1.12216089, 1],
                 [2.7, 0.55, 1.25157764, 0.42679344, 0.22232306, 1.52952634, 1.17047366, 1],
                 [2.8, 0.55, 1.32515949, 0.43322418, 0.21423513, 1.58023236, 1.21976764, 1],
                 [2.9, 0.55, 1.39332559, 0.43788252, 0.20671565, 1.63003426, 1.26996574, 1],
                 [3.0, 0.55, 1.45731642, 0.44126869, 0.19971180, 1.67903292, 1.32096708, 1],
                 [3.1, 0.55, 1.51806205, 0.44373207, 0.19317564, 1.72734378, 1.37265622, 1],
                 [3.2, 0.55, 1.57627695, 0.44552194, 0.18706359, 1.77508788, 1.42491212, 1],
                 [3.3, 0.55, 1.63251889, 0.44681879, 0.18133623, 1.82238420, 1.47761580, 1],
                 [3.4, 0.55, 1.68722751, 0.44775453, 0.17595809, 1.86934387, 1.53065613, 1],
                 [3.5, 0.55, 1.74075075, 0.44842620, 0.17089742, 1.91606622, 1.58393378, 1],
                 [3.6, 0.55, 1.79336388, 0.44890533, 0.16612598, 1.96263679, 1.63736321, 1],
                 [3.7, 0.55, 1.84528394, 0.44924473, 0.16161869, 2.00912666, 1.69087334, 1],
                 [3.8, 0.55, 1.89668102, 0.44948331, 0.15735329, 2.05559295, 1.74440705, 1],
                 [3.9, 0.55, 1.94768732, 0.44964963, 0.15331007, 2.10208007, 1.79791993, 1],
                 [4.0, 0.55, 1.99840468, 0.44976456, 0.14947148, 2.14862129, 1.85137871, 1],
                 [4.1, 0.55, 2.04891066, 0.44984326, 0.14582189, 2.19524051, 1.90475949, 1],
                 [4.2, 0.55, 2.09926376, 0.44989663, 0.14234731, 2.24195396, 1.95804604, 1],
                 [4.3, 0.55, 2.14950751, 0.44993249, 0.13903516, 2.28877185, 2.01122815, 1],
                 [4.4, 0.55, 2.19967396, 0.44995633, 0.13587414, 2.33569973, 2.06430027, 1],
                 [4.5, 0.55, 2.24978638, 0.44997203, 0.13285398, 2.38273967, 2.11726033, 1],
                 [4.6, 0.55, 2.29986149, 0.44998226, 0.12996538, 2.42989124, 2.17010876, 1],
                 [4.7, 0.55, 2.34991112, 0.44998886, 0.12719986, 2.47715228, 2.22284772, 1],
                 [4.8, 0.55, 2.39994356, 0.44999307, 0.12454968, 2.52451946, 2.27548054, 1],
                 [4.9, 0.55, 2.44996452, 0.44999574, 0.12200774, 2.57198874, 2.32801126, 1],
                 [5.0, 0.55, 2.49997793, 0.44999740, 0.11956751, 2.61955570, 2.38044430, 1],
                 [5.1, 0.55, 2.54998642, 0.44999843, 0.11722301, 2.66721573, 2.43278427, 1],
                 [5.2, 0.55, 2.59999173, 0.44999906, 0.11496869, 2.71496426, 2.48503574, 1],
                 [5.3, 0.55, 2.64999501, 0.44999945, 0.11279946, 2.76279678, 2.53720322, 1],
                 [5.4, 0.55, 2.69999702, 0.44999968, 0.11071057, 2.81070897, 2.58929103, 1],
                 [5.5, 0.55, 2.74999824, 0.44999981, 0.10869764, 2.85869670, 2.64130330, 1],
                 [5.6, 0.55, 2.79999897, 0.44999989, 0.10675661, 2.90675606, 2.69324394, 1],
                 [5.7, 0.55, 2.84999941, 0.44999994, 0.10488369, 2.95488337, 2.74511663, 1],
                 [5.8, 0.55, 2.89999966, 0.44999997, 0.10307535, 3.00307516, 2.79692484, 1],
                 [5.9, 0.55, 2.94999981, 0.44999998, 0.10132831, 3.05132820, 2.84867180, 1],
                 [6.0, 0.55, 2.99999989, 0.44999999, 0.09963950, 3.09963944, 2.90036056, 1]],
                [[2.0, 0.60, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.60, 0.48906653, 0.21274038, 0.24454465, 1.18247100, 0.91752900, 1],
                 [2.2, 0.60, 0.70777594, 0.28134519, 0.23338893, 1.23800321, 0.96199679, 1],
                 [2.3, 0.60, 0.86146588, 0.31922133, 0.22317659, 1.29282300, 1.00717700, 1],
                 [2.4, 0.60, 0.98334736, 0.34325993, 0.21379372, 1.34684240, 1.05315760, 1],
                 [2.5, 0.60, 1.08578332, 0.35948891, 0.20514629, 1.40000214, 1.09999786, 1],
                 [2.6, 0.60, 1.17506859, 0.37082305, 0.19715562, 1.45227618, 1.14772382, 1],
                 [2.7, 0.60, 1.25493924, 0.37889883, 0.18975472, 1.50367289, 1.19632711, 1],
                 [2.8, 0.60, 1.32782843, 0.38472211, 0.18288555, 1.55423276, 1.24576724, 1],
                 [2.9, 0.60, 1.39542311, 0.38894959, 0.17649694, 1.60402323, 1.29597677, 1],
                 [3.0, 0.60, 1.45894618, 0.39202830, 0.17054328, 1.65313151, 1.34686849, 1],
                 [3.1, 0.60, 1.51931329, 0.39427167, 0.16498365, 1.70165676, 1.39834324, 1],
                 [3.2, 0.60, 1.57722593, 0.39590401, 0.15978122, 1.74970248, 1.45029752, 1],
                 [3.3, 0.60, 1.63322992, 0.39708817, 0.15490297, 1.79737017, 1.50262983, 1],
                 [3.4, 0.60, 1.68775387, 0.39794351, 0.15031931, 1.84475437, 1.55524563, 1],
                 [3.5, 0.60, 1.74113581, 0.39855799, 0.14600387, 1.89193946, 1.60806054, 1],
                 [3.6, 0.60, 1.79364231, 0.39899663, 0.14193319, 1.93899798, 1.66100202, 1],
                 [3.7, 0.60, 1.84548298, 0.39930754, 0.13808639, 1.98599012, 1.71400988, 1],
                 [3.8, 0.60, 1.89682171, 0.39952617, 0.13444496, 2.03296422, 1.76703578, 1],
                 [3.9, 0.60, 1.94778568, 0.39967864, 0.13099238, 2.07995778, 1.82004222, 1],
                 [4.0, 0.60, 1.99847268, 0.39978403, 0.12771397, 2.12699885, 1.87300115, 1],
                 [4.1, 0.60, 2.04895718, 0.39985621, 0.12459655, 2.17410754, 1.92589246, 1],
                 [4.2, 0.60, 2.09929524, 0.39990517, 0.12162834, 2.22129749, 1.97870251, 1],
                 [4.3, 0.60, 2.14952859, 0.39993806, 0.11879870, 2.26857722, 2.03142278, 1],
                 [4.4, 0.60, 2.19968792, 0.39995993, 0.11609803, 2.31595133, 2.08404867, 1],
                 [4.5, 0.60, 2.24979553, 0.39997434, 0.11351762, 2.36342147, 2.13657853, 1],
                 [4.6, 0.60, 2.29986742, 0.39998372, 0.11104955, 2.41098719, 2.18901281, 1],
                 [4.7, 0.60, 2.34991493, 0.39998978, 0.10868661, 2.45864659, 2.24135341, 1],
                 [4.8, 0.60, 2.39994597, 0.39999364, 0.10642219, 2.50639677, 2.29360323, 1],
                 [4.9, 0.60, 2.44996605, 0.39999609, 0.10425024, 2.55423426, 2.34576574, 1],
                 [5.0, 0.60, 2.49997888, 0.39999761, 0.10216519, 2.60215526, 2.39784474, 1],
                 [5.1, 0.60, 2.54998700, 0.39999856, 0.10016193, 2.65015581, 2.44984419, 1],
                 [5.2, 0.60, 2.59999208, 0.39999914, 0.09823572, 2.69823199, 2.50176801, 1],
                 [5.3, 0.60, 2.64999522, 0.39999949, 0.09638221, 2.74637996, 2.55362004, 1],
                 [5.4, 0.60, 2.69999715, 0.39999970, 0.09459735, 2.79459600, 2.60540400, 1],
                 [5.5, 0.60, 2.74999832, 0.39999983, 0.09287739, 2.84287660, 2.65712340, 1],
                 [5.6, 0.60, 2.79999902, 0.39999990, 0.09121886, 2.89121840, 2.70878160, 1],
                 [5.7, 0.60, 2.84999943, 0.39999994, 0.08961853, 2.93961826, 2.76038174, 1],
                 [5.8, 0.60, 2.89999967, 0.39999997, 0.08807338, 2.98807323, 2.81192677, 1],
                 [5.9, 0.60, 2.94999981, 0.39999998, 0.08658061, 3.03658053, 2.86341947, 1],
                 [6.0, 0.60, 2.99999990, 0.39999999, 0.08513760, 3.08513755, 2.91486245, 1]],
                [[2.0, 0.65, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.65, 0.50227194, 0.18685737, 0.20591310, 1.16203865, 0.93796135, 1],
                 [2.2, 0.65, 0.71630152, 0.24538478, 0.19652849, 1.21669115, 0.98330885, 1],
                 [2.3, 0.65, 0.86787832, 0.27835719, 0.18794397, 1.27073656, 1.02926344, 1],
                 [2.4, 0.65, 0.98840182, 0.29949043, 0.18006201, 1.32410194, 1.07589806, 1],
                 [2.5, 0.65, 1.08983151, 0.31384341, 0.17280167, 1.37673883, 1.12326117, 1],
                 [2.6, 0.65, 1.17831945, 0.32390777, 0.16609493, 1.42862696, 1.17137304, 1],
                 [2.7, 0.65, 1.25753893, 0.33109978, 0.15988387, 1.47977498, 1.22022502, 1],
                 [2.8, 0.65, 1.32989090, 0.33629757, 0.15411842, 1.53021841, 1.26978159, 1],
                 [2.9, 0.65, 1.39704291, 0.34007799, 0.14875478, 1.58001510, 1.31998490, 1],
                 [3.0, 0.65, 1.46020406, 0.34283547, 0.14375418, 1.62923927, 1.37076073, 1],
                 [3.1, 0.65, 1.52027857, 0.34484751, 0.13908216, 1.67797486, 1.42202514, 1],
                 [3.2, 0.65, 1.57795777, 0.34631325, 0.13470798, 1.72630923, 1.47369077, 1],
                 [3.3, 0.65, 1.63377809, 0.34737763, 0.13060422, 1.77432782, 1.52567218, 1],
                 [3.4, 0.65, 1.68815959, 0.34814709, 0.12674641, 1.82211008, 1.57788992, 1],
                 [3.5, 0.65, 1.74143256, 0.34870026, 0.12311281, 1.86972685, 1.63027315, 1],
                 [3.6, 0.65, 1.79385686, 0.34909537, 0.11968406, 1.91723894, 1.68276106, 1],
                 [3.7, 0.65, 1.84563634, 0.34937554, 0.11644295, 1.96469675, 1.73530325, 1],
                 [3.8, 0.65, 1.89693011, 0.34957264, 0.11337414, 2.01214072, 1.78785928, 1],
                 [3.9, 0.65, 1.94786145, 0.34971012, 0.11046398, 2.05960219, 1.84039781, 1],
                 [4.0, 0.65, 1.99852508, 0.34980517, 0.10770023, 2.10710457, 1.89289543, 1],
                 [4.1, 0.65, 2.04899302, 0.34987027, 0.10507194, 2.15466462, 1.94533538, 1],
                 [4.2, 0.65, 2.09931949, 0.34991444, 0.10256926, 2.20229368, 1.99770632, 1],
                 [4.3, 0.65, 2.14954482, 0.34994411, 0.10018329, 2.24999882, 2.05000118, 1],
                 [4.4, 0.65, 2.19969867, 0.34996385, 0.09790598, 2.29778379, 2.10221621, 1],
                 [4.5, 0.65, 2.24980258, 0.34997684, 0.09573002, 2.34564993, 2.15435007, 1],
                 [4.6, 0.65, 2.29987199, 0.34998531, 0.09364876, 2.39359682, 2.20640318, 1],
                 [4.7, 0.65, 2.34991786, 0.34999078, 0.09165612, 2.44162279, 2.25837721, 1],
                 [4.8, 0.65, 2.39994784, 0.34999426, 0.08974655, 2.48972538, 2.31027462, 1],
                 [4.9, 0.65, 2.44996722, 0.34999647, 0.08791495, 2.53790164, 2.36209836, 1],
                 [5.0, 0.65, 2.49997961, 0.34999785, 0.08615662, 2.58614835, 2.41385165, 1],
                 [5.1, 0.65, 2.54998745, 0.34999870, 0.08446726, 2.63446217, 2.46553783, 1],
                 [5.2, 0.65, 2.59999235, 0.34999922, 0.08284288, 2.68283978, 2.51716022, 1],
                 [5.3, 0.65, 2.64999539, 0.34999954, 0.08127980, 2.73127793, 2.56872207, 1],
                 [5.4, 0.65, 2.69999725, 0.34999973, 0.07977462, 2.77977350, 2.62022650, 1],
                 [5.5, 0.65, 2.74999838, 0.34999984, 0.07832417, 2.82832351, 2.67167649, 1],
                 [5.6, 0.65, 2.79999905, 0.34999991, 0.07692552, 2.87692514, 2.72307486, 1],
                 [5.7, 0.65, 2.84999945, 0.34999995, 0.07557595, 2.92557573, 2.77442427, 1],
                 [5.8, 0.65, 2.89999969, 0.34999997, 0.07427292, 2.97427279, 2.82572721, 1],
                 [5.9, 0.65, 2.94999982, 0.34999998, 0.07301405, 3.02301398, 2.87698602, 1],
                 [6.0, 0.65, 2.99999990, 0.34999999, 0.07179715, 3.07179711, 2.92820289, 1]],
                [[2.0, 0.70, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.70, 0.51229272, 0.16010177, 0.17028794, 1.14297401, 0.95702599, 1],
                 [2.2, 0.70, 0.72284207, 0.20940656, 0.16253303, 1.19681765, 1.00318235, 1],
                 [2.3, 0.70, 0.87280893, 0.23764642, 0.15544342, 1.25015461, 1.04984539, 1],
                 [2.4, 0.70, 0.99228969, 0.25589869, 0.14893740, 1.30292528, 1.09707472, 1],
                 [2.5, 0.70, 1.09294443, 0.26835944, 0.14294685, 1.35509057, 1.14490943, 1],
                 [2.6, 0.70, 1.18081789, 0.27712777, 0.13741441, 1.40663477, 1.19336523, 1],
                 [2.7, 0.70, 1.25953571, 0.28340972, 0.13229122, 1.45756607, 1.24243393, 1],
                 [2.8, 0.70, 1.33147413, 0.28795880, 0.12753515, 1.50791472, 1.29208528, 1],
                 [2.9, 0.70, 1.39828570, 0.29127271, 0.12310949, 1.55772930, 1.34227070, 1],
                 [3.0, 0.70, 1.46116873, 0.29369318, 0.11898200, 1.60707164, 1.39292836, 1],
                 [3.1, 0.70, 1.52101859, 0.29546133, 0.11512419, 1.65601145, 1.44398855, 1],
                 [3.2, 0.70, 1.57851867, 0.29675066, 0.11151080, 1.70462110, 1.49537890, 1],
                 [3.3, 0.70, 1.63419814, 0.29768771, 0.10811942, 1.75297123, 1.54702877, 1],
                 [3.4, 0.70, 1.68847042, 0.29836559, 0.10493011, 1.80112746, 1.59887254, 1],
                 [3.5, 0.70, 1.74165989, 0.29885320, 0.10192518, 1.84914821, 1.65085179, 1],
                 [3.6, 0.70, 1.79402120, 0.29920163, 0.09908887, 1.89708360, 1.70291640, 1],
                 [3.7, 0.70, 1.84575381, 0.29944880, 0.09640717, 1.94497514, 1.75502486, 1],
                 [3.8, 0.70, 1.89701313, 0.29962272, 0.09386759, 1.99285610, 1.80714390, 1],
                 [3.9, 0.70, 1.94791949, 0.29974406, 0.09145896, 2.04075224, 1.85924776, 1],
                 [4.0, 0.70, 1.99856520, 0.29982797, 0.08917128, 2.08868280, 1.91131720, 1],
                 [4.1, 0.70, 2.04902046, 0.29988545, 0.08699555, 2.13666152, 1.96333848, 1],
                 [4.2, 0.70, 2.09933806, 0.29992445, 0.08492368, 2.18469769, 2.01530231, 1],
                 [4.3, 0.70, 2.14955725, 0.29995065, 0.08294835, 2.23279707, 2.06720293, 1],
                 [4.4, 0.70, 2.19970691, 0.29996807, 0.08106292, 2.28096272, 2.11903728, 1],
                 [4.5, 0.70, 2.24980798, 0.29997955, 0.07926137, 2.32919570, 2.17080430, 1],
                 [4.6, 0.70, 2.29987549, 0.29998703, 0.07753820, 2.37749561, 2.22250439, 1],
                 [4.7, 0.70, 2.34992011, 0.29999185, 0.07588839, 2.42586105, 2.27413895, 1],
                 [4.8, 0.70, 2.39994926, 0.29999493, 0.07430734, 2.47428998, 2.32571002, 1],
                 [4.9, 0.70, 2.44996811, 0.29999688, 0.07279084, 2.52277993, 2.37722007, 1],
                 [5.0, 0.70, 2.49998017, 0.29999810, 0.07133501, 2.57132822, 2.42867178, 1],
                 [5.1, 0.70, 2.54998779, 0.29999885, 0.06993628, 2.61993210, 2.48006790, 1],
                 [5.2, 0.70, 2.59999256, 0.29999931, 0.06859134, 2.66858880, 2.53141120, 1],
                 [5.3, 0.70, 2.64999552, 0.29999959, 0.06729716, 2.71729563, 2.58270437, 1],
                 [5.4, 0.70, 2.69999732, 0.29999976, 0.06605092, 2.76605000, 2.63395000, 1],
                 [5.5, 0.70, 2.74999842, 0.29999986, 0.06484999, 2.81484945, 2.68515055, 1],
                 [5.6, 0.70, 2.79999908, 0.29999992, 0.06369196, 2.86369164, 2.73630836, 1],
                 [5.7, 0.70, 2.84999947, 0.29999996, 0.06257455, 2.91257437, 2.78742563, 1],
                 [5.8, 0.70, 2.89999969, 0.29999997, 0.06149568, 2.96149558, 2.83850442, 1],
                 [5.9, 0.70, 2.94999983, 0.29999999, 0.06045338, 3.01045332, 2.88954668, 1],
                 [6.0, 0.70, 2.99999990, 0.29999999, 0.05944582, 3.05944579, 2.94055421, 1]],
                [[2.0, 0.75, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.75, 0.51981368, 0.13295289, 0.13722413, 1.12511900, 0.97488100, 1],
                 [2.2, 0.75, 0.72778973, 0.17357835, 0.13097888, 1.17821381, 1.02178619, 1],
                 [2.3, 0.75, 0.87654496, 0.19717057, 0.12527195, 1.23089748, 1.06910252, 1],
                 [2.4, 0.75, 0.99523635, 0.21253004, 0.12003684, 1.28312242, 1.11687758, 1],
                 [2.5, 0.75, 1.09530319, 0.22306389, 0.11521794, 1.33485774, 1.16514226, 1],
                 [2.6, 0.75, 1.18271025, 0.23049952, 0.11076834, 1.38609143, 1.21390857, 1],
                 [2.7, 0.75, 1.26104740, 0.23583882, 0.10664807, 1.43683072, 1.26316928, 1],
                 [2.8, 0.75, 1.33267220, 0.23971204, 0.10282274, 1.48710054, 1.31289946, 1],
                 [2.9, 0.75, 1.39922577, 0.24253756, 0.09926251, 1.53694045, 1.36305955, 1],
                 [3.0, 0.75, 1.46189819, 0.24460369, 0.09594127, 1.58640060, 1.41359940, 1],
                 [3.1, 0.75, 1.52157802, 0.24611445, 0.09283609, 1.63553732, 1.46446268, 1],
                 [3.2, 0.75, 1.57894260, 0.24721700, 0.08992672, 1.68440900, 1.51559100, 1],
                 [3.3, 0.75, 1.63451556, 0.24801884, 0.08719526, 1.73307254, 1.56692746, 1],
                 [3.4, 0.75, 1.68870529, 0.24859923, 0.08462581, 1.78158078, 1.61841922, 1],
                 [3.5, 0.75, 1.74183164, 0.24901691, 0.08220431, 1.82998070, 1.67001930, 1],
                 [3.6, 0.75, 1.79414536, 0.24931548, 0.07991822, 1.87831257, 1.72168743, 1],
                 [3.7, 0.75, 1.84584254, 0.24952733, 0.07775637, 1.92660975, 1.77339025, 1],
                 [3.8, 0.75, 1.89707585, 0.24967644, 0.07570882, 1.97489894, 1.82510106, 1],
                 [3.9, 0.75, 1.94796333, 0.24978049, 0.07376664, 2.02320079, 1.87679921, 1],
                 [4.0, 0.75, 1.99859551, 0.24985245, 0.07192184, 2.07153074, 1.92846926, 1],
                 [4.1, 0.75, 2.04904119, 0.24990174, 0.07016723, 2.11989979, 1.98010021, 1],
                 [4.2, 0.75, 2.09935208, 0.24993519, 0.06849629, 2.16831535, 2.03168465, 1],
                 [4.3, 0.75, 2.14956665, 0.24995766, 0.06690317, 2.21678205, 2.08321795, 1],
                 [4.4, 0.75, 2.19971313, 0.24997261, 0.06538252, 2.26530229, 2.13469771, 1],
                 [4.5, 0.75, 2.24981206, 0.24998246, 0.06392949, 2.31387691, 2.18612309, 1],
                 [4.6, 0.75, 2.29987814, 0.24998887, 0.06253967, 2.36250557, 2.23749443, 1],
                 [4.7, 0.75, 2.34992180, 0.24999301, 0.06120901, 2.41118712, 2.28881288, 1],
                 [4.8, 0.75, 2.39995034, 0.24999565, 0.05993380, 2.45991990, 2.34008010, 1],
                 [4.9, 0.75, 2.44996879, 0.24999732, 0.05871065, 2.50870191, 2.39129809, 1],
                 [5.0, 0.75, 2.49998059, 0.24999837, 0.05753643, 2.55753099, 2.44246901, 1],
                 [5.1, 0.75, 2.54998805, 0.24999902, 0.05640826, 2.60640491, 2.49359509, 1],
                 [5.2, 0.75, 2.59999272, 0.24999941, 0.05532348, 2.65532144, 2.54467856, 1],
                 [5.3, 0.75, 2.64999561, 0.24999965, 0.05427964, 2.70427841, 2.59572159, 1],
                 [5.4, 0.75, 2.69999738, 0.24999980, 0.05327446, 2.75327373, 2.64672627, 1],
                 [5.5, 0.75, 2.74999845, 0.24999988, 0.05230583, 2.80230540, 2.69769460, 1],
                 [5.6, 0.75, 2.79999909, 0.24999993, 0.05137180, 2.85137155, 2.74862845, 1],
                 [5.7, 0.75, 2.84999948, 0.24999996, 0.05047054, 2.90047039, 2.79952961, 1],
                 [5.8, 0.75, 2.89999970, 0.24999998, 0.04960036, 2.94960027, 2.85039973, 1],
                 [5.9, 0.75, 2.94999983, 0.24999999, 0.04875967, 2.99875963, 2.90124037, 1],
                 [6.0, 0.75, 2.99999990, 0.24999999, 0.04794701, 3.04794699, 2.95205301, 1]],
                [[2.0, 0.80, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.80, 0.52533068, 0.10573781, 0.10636754, 1.10834143, 0.99165857, 1],
                 [2.2, 0.80, 0.73143960, 0.13802120, 0.10152896, 1.16073883, 1.03926117, 1],
                 [2.3, 0.80, 0.87930435, 0.15699011, 0.09710892, 1.21281590, 1.08718410, 1],
                 [2.4, 0.80, 0.99741311, 0.16941871, 0.09305546, 1.26453602, 1.13546398, 1],
                 [2.5, 0.80, 1.09704534, 0.17797735, 0.08932508, 1.31587559, 1.18412441, 1],
                 [2.6, 0.80, 1.18410747, 0.18403573, 0.08588102, 1.36682569, 1.23317431, 1],
                 [2.7, 0.80, 1.26216316, 0.18839498, 0.08269196, 1.41739228, 1.28260772, 1],
                 [2.8, 0.80, 1.33355619, 0.19156218, 0.07973099, 1.46759500, 1.33240500, 1],
                 [2.9, 0.80, 1.39991920, 0.19387549, 0.07697483, 1.51746477, 1.38253523, 1],
                 [3.0, 0.80, 1.46243613, 0.19556877, 0.07440318, 1.56704062, 1.43295938, 1],
                 [3.1, 0.80, 1.52199049, 0.19680792, 0.07199828, 1.61636631, 1.48363369, 1],
                 [3.2, 0.80, 1.57925511, 0.19771285, 0.06974449, 1.66548713, 1.53451287, 1],
                 [3.3, 0.80, 1.63474953, 0.19837135, 0.06762804, 1.71444721, 1.58555279, 1],
                 [3.4, 0.80, 1.68887839, 0.19884820, 0.06563671, 1.76328744, 1.63671256, 1],
                 [3.5, 0.80, 1.74195822, 0.19919149, 0.06375969, 1.81204421, 1.68795579, 1],
                 [3.6, 0.80, 1.79423686, 0.19943696, 0.06198736, 1.86074866, 1.73925134, 1],
                 [3.7, 0.80, 1.84590794, 0.19961117, 0.06031114, 1.90942658, 1.79057342, 1],
                 [3.8, 0.80, 1.89712206, 0.19973381, 0.05872339, 1.95809861, 1.84190139, 1],
                 [3.9, 0.80, 1.94799563, 0.19981940, 0.05721723, 2.00678071, 1.89321929, 1],
                 [4.0, 0.80, 1.99861784, 0.19987860, 0.05578651, 2.05548479, 1.94451521, 1],
                 [4.1, 0.80, 2.04905646, 0.19991915, 0.05442566, 2.10421935, 1.99578065, 1],
                 [4.2, 0.80, 2.09936242, 0.19994667, 0.05312968, 2.15299010, 2.04700990, 1],
                 [4.3, 0.80, 2.14957356, 0.19996517, 0.05189402, 2.20180058, 2.09819942, 1],
                 [4.4, 0.80, 2.19971771, 0.19997747, 0.05071455, 2.25065266, 2.14934734, 1],
                 [4.5, 0.80, 2.24981506, 0.19998556, 0.04958752, 2.29954696, 2.20045304, 1],
                 [4.6, 0.80, 2.29988009, 0.19999084, 0.04850951, 2.34848320, 2.25151680, 1],
                 [4.7, 0.80, 2.34992305, 0.19999425, 0.04747738, 2.39746049, 2.30253951, 1],
                 [4.8, 0.80, 2.39995114, 0.19999642, 0.04648826, 2.44647753, 2.35352247, 1],
                 [4.9, 0.80, 2.44996929, 0.19999780, 0.04553951, 2.49553277, 2.40446723, 1],
                 [5.0, 0.80, 2.49998090, 0.19999866, 0.04462872, 2.54462452, 2.45537548, 1],
                 [5.1, 0.80, 2.54998824, 0.19999919, 0.04375364, 2.59375106, 2.50624894, 1],
                 [5.2, 0.80, 2.59999284, 0.19999952, 0.04291222, 2.64291065, 2.55708935, 1],
                 [5.3, 0.80, 2.64999568, 0.19999971, 0.04210256, 2.69210161, 2.60789839, 1],
                 [5.4, 0.80, 2.69999742, 0.19999983, 0.04132288, 2.74132231, 2.65867769, 1],
                 [5.5, 0.80, 2.74999848, 0.19999990, 0.04057156, 2.79057122, 2.70942878, 1],
                 [5.6, 0.80, 2.79999911, 0.19999994, 0.03984706, 2.83984687, 2.76015313, 1],
                 [5.7, 0.80, 2.84999949, 0.19999997, 0.03914799, 2.88914788, 2.81085212, 1],
                 [5.8, 0.80, 2.89999971, 0.19999998, 0.03847303, 2.93847296, 2.86152704, 1],
                 [5.9, 0.80, 2.94999983, 0.19999999, 0.03782094, 2.98782090, 2.91217910, 1],
                 [6.0, 0.80, 2.99999991, 0.19999999, 0.03719059, 3.03719057, 2.96280943, 1]],
                [[2.0, 0.85, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.85, 0.52921303, 0.07868755, 0.07743200, 1.09252960, 1.00747040, 1],
                 [2.2, 0.85, 0.73401824, 0.10282463, 0.07391092, 1.14427403, 1.05572597, 1],
                 [2.3, 0.85, 0.88125553, 0.11715093, 0.07069517, 1.19578443, 1.10421557, 1],
                 [2.4, 0.85, 0.99895249, 0.12659116, 0.06774673, 1.24703427, 1.15296573, 1],
                 [2.5, 0.85, 1.09827719, 0.13311595, 0.06503370, 1.29800656, 1.20199344, 1],
                 [2.6, 0.85, 1.18509520, 0.13774646, 0.06252912, 1.34869499, 1.25130501, 1],
                 [2.7, 0.85, 1.26295173, 0.14108448, 0.06021002, 1.39910410, 1.30089590, 1],
                 [2.8, 0.85, 1.33418080, 0.14351310, 0.05805670, 1.44924835, 1.35075165, 1],
                 [2.9, 0.85, 1.40040905, 0.14528890, 0.05605211, 1.49915037, 1.40084963, 1],
                 [3.0, 0.85, 1.46281608, 0.14658985, 0.05418146, 1.54883865, 1.45116135, 1],
                 [3.1, 0.85, 1.52228177, 0.14754257, 0.05243182, 1.59834511, 1.50165489, 1],
                 [3.2, 0.85, 1.57947578, 0.14823872, 0.05079184, 1.64770274, 1.55229726, 1],
                 [3.3, 0.85, 1.63491472, 0.14874552, 0.04925155, 1.69694365, 1.60305635, 1],
                 [3.4, 0.85, 1.68900059, 0.14911265, 0.04780210, 1.74609760, 1.65390240, 1],
                 [3.5, 0.85, 1.74204757, 0.14937703, 0.04643567, 1.79519104, 1.70480896, 1],
                 [3.6, 0.85, 1.79430144, 0.14956613, 0.04514532, 1.84424662, 1.75575338, 1],
                 [3.7, 0.85, 1.84595410, 0.14970035, 0.04392484, 1.89328307, 1.80671693, 1],
                 [3.8, 0.85, 1.89715469, 0.14979485, 0.04276868, 1.94231540, 1.85768460, 1],
                 [3.9, 0.85, 1.94801843, 0.14986080, 0.04167188, 1.99135519, 1.90864481, 1],
                 [4.0, 0.85, 1.99863361, 0.14990643, 0.04062997, 2.04041108, 1.95958892, 1],
                 [4.1, 0.85, 2.04906725, 0.14993768, 0.03963892, 2.08948924, 2.01051076, 1],
                 [4.2, 0.85, 2.09936972, 0.14995890, 0.03869508, 2.13859382, 2.06140618, 1],
                 [4.3, 0.85, 2.14957845, 0.14997315, 0.03779516, 2.18772738, 2.11227262, 1],
                 [4.4, 0.85, 2.19972095, 0.14998263, 0.03693616, 2.23689126, 2.16310874, 1],
                 [4.5, 0.85, 2.24981718, 0.14998887, 0.03611534, 2.28608592, 2.21391408, 1],
                 [4.6, 0.85, 2.29988146, 0.14999294, 0.03533022, 2.33531113, 2.26468887, 1],
                 [4.7, 0.85, 2.34992394, 0.14999557, 0.03457851, 2.38456626, 2.31543374, 1],
                 [4.8, 0.85, 2.39995170, 0.14999724, 0.03385812, 2.43385034, 2.36614966, 1],
                 [4.9, 0.85, 2.44996964, 0.14999830, 0.03316713, 2.48316224, 2.41683776, 1],
                 [5.0, 0.85, 2.49998112, 0.14999897, 0.03250379, 2.53250075, 2.46749925, 1],
                 [5.1, 0.85, 2.54998838, 0.14999938, 0.03186646, 2.58186459, 2.51813541, 1],
                 [5.2, 0.85, 2.59999292, 0.14999963, 0.03125364, 2.63125250, 2.56874750, 1],
                 [5.3, 0.85, 2.64999573, 0.14999978, 0.03066395, 2.68066326, 2.61933674, 1],
                 [5.4, 0.85, 2.69999745, 0.14999987, 0.03009610, 2.73009569, 2.66990431, 1],
                 [5.5, 0.85, 2.74999850, 0.14999993, 0.02954890, 2.77954865, 2.72045135, 1],
                 [5.6, 0.85, 2.79999912, 0.14999996, 0.02902124, 2.82902110, 2.77097890, 1],
                 [5.7, 0.85, 2.84999949, 0.14999998, 0.02851209, 2.87851201, 2.82148799, 1],
                 [5.8, 0.85, 2.89999971, 0.14999999, 0.02802051, 2.92802046, 2.87197954, 1],
                 [5.9, 0.85, 2.94999983, 0.14999999, 0.02754558, 2.97754555, 2.92245445, 1],
                 [6.0, 0.85, 2.99999991, 0.15000000, 0.02708649, 3.02708647, 2.97291353, 1]],
                [[2.0, 0.90, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.90, 0.53174219, 0.05196985, 0.05018313, 1.07758824, 1.02241176, 1],
                 [2.2, 0.90, 0.73570255, 0.06805622, 0.04790169, 1.12871845, 1.07128155, 1],
                 [2.3, 0.90, 0.88253073, 0.07768852, 0.04581839, 1.17969662, 1.12030338, 1],
                 [2.4, 0.90, 0.99995864, 0.08406824, 0.04390853, 1.23050563, 1.16949437, 1],
                 [2.5, 0.90, 1.09908227, 0.08849258, 0.04215132, 1.28113454, 1.21886546, 1],
                 [2.6, 0.90, 1.18574063, 0.09163981, 0.04052922, 1.33157934, 1.26842066, 1],
                 [2.7, 0.90, 1.26346692, 0.09391243, 0.03902727, 1.38184306, 1.31815694, 1],
                 [2.8, 0.90, 1.33458880, 0.09556801, 0.03763263, 1.43193513, 1.36806487, 1],
                 [2.9, 0.90, 1.40072899, 0.09677973, 0.03633423, 1.48187028, 1.41812972, 1],
                 [3.0, 0.90, 1.46306420, 0.09766812, 0.03512248, 1.53166701, 1.46833299, 1],
                 [3.1, 0.90, 1.52247197, 0.09831909, 0.03398899, 1.58134601, 1.51865399, 1],
                 [3.2, 0.90, 1.57961986, 0.09879498, 0.03292643, 1.63092870, 1.56907130, 1],
                 [3.3, 0.90, 1.63502258, 0.09914156, 0.03192835, 1.68043586, 1.61956414, 1],
                 [3.4, 0.90, 1.68908038, 0.09939270, 0.03098904, 1.72988679, 1.67011321, 1],
                 [3.5, 0.90, 1.74210591, 0.09957360, 0.03010346, 1.77929860, 1.72070140, 1],
                 [3.6, 0.90, 1.79434361, 0.09970300, 0.02926713, 1.82868597, 1.77131403, 1],
                 [3.7, 0.90, 1.84598423, 0.09979487, 0.02847603, 1.87806103, 1.82193897, 1],
                 [3.8, 0.90, 1.89717598, 0.09985955, 0.02772660, 1.92743348, 1.87256652, 1],
                 [3.9, 0.90, 1.94803332, 0.09990470, 0.02701561, 1.97681082, 1.92318918, 1],
                 [4.0, 0.90, 1.99864390, 0.09993593, 0.02634019, 2.02619865, 1.97380135, 1],
                 [4.1, 0.90, 2.04907429, 0.09995734, 0.02569773, 2.07560094, 2.02439906, 1],
                 [4.2, 0.90, 2.09937448, 0.09997186, 0.02508586, 2.12502038, 2.07497962, 1],
                 [4.3, 0.90, 2.14958164, 0.09998162, 0.02450246, 2.17445863, 2.12554137, 1],
                 [4.4, 0.90, 2.19972306, 0.09998811, 0.02394558, 2.22391655, 2.17608345, 1],
                 [4.5, 0.90, 2.24981857, 0.09999238, 0.02341345, 2.27339443, 2.22660557, 1],
                 [4.6, 0.90, 2.29988236, 0.09999517, 0.02290446, 2.32289212, 2.27710788, 1],
                 [4.7, 0.90, 2.34992451, 0.09999697, 0.02241713, 2.37240921, 2.32759079, 1],
                 [4.8, 0.90, 2.39995206, 0.09999811, 0.02195011, 2.42194508, 2.37805492, 1],
                 [4.9, 0.90, 2.44996987, 0.09999884, 0.02150215, 2.47149898, 2.42850102, 1],
                 [5.0, 0.90, 2.49998126, 0.09999929, 0.02107210, 2.52107014, 2.47892986, 1],
                 [5.1, 0.90, 2.54998847, 0.09999957, 0.02065892, 2.57065771, 2.52934229, 1],
                 [5.2, 0.90, 2.59999297, 0.09999974, 0.02026164, 2.62026090, 2.57973910, 1],
                 [5.3, 0.90, 2.64999576, 0.09999985, 0.01987934, 2.66987890, 2.63012110, 1],
                 [5.4, 0.90, 2.69999747, 0.09999991, 0.01951121, 2.71951094, 2.68048906, 1],
                 [5.5, 0.90, 2.74999851, 0.09999995, 0.01915646, 2.76915630, 2.73084370, 1],
                 [5.6, 0.90, 2.79999913, 0.09999997, 0.01881438, 2.81881429, 2.78118571, 1],
                 [5.7, 0.90, 2.84999950, 0.09999998, 0.01848430, 2.86848425, 2.83151575, 1],
                 [5.8, 0.90, 2.89999971, 0.09999999, 0.01816561, 2.91816558, 2.88183442, 1],
                 [5.9, 0.90, 2.94999984, 0.09999999, 0.01785771, 2.96785770, 2.93214230, 1],
                 [6.0, 0.90, 2.99999991, 0.10000000, 0.01756009, 3.01756008, 2.98243992, 1]],
                [[2.0, 0.95, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 0],
                 [2.1, 0.95, 0.53313676, 0.02570928, 0.02442670, 1.06343538, 1.03656462, 1],
                 [2.2, 0.95, 0.73663277, 0.03376787, 0.02331635, 1.11398541, 1.08601459, 1],
                 [2.3, 0.95, 0.88323525, 0.03863079, 0.02230253, 1.16446135, 1.13553865, 1],
                 [2.4, 0.95, 1.00051454, 0.04186666, 0.02137316, 1.21485487, 1.18514513, 1],
                 [2.5, 0.95, 1.09952705, 0.04411771, 0.02051814, 1.26516066, 1.23483934, 1],
                 [2.6, 0.95, 1.18609718, 0.04572246, 0.01972888, 1.31537680, 1.28462320, 1],
                 [2.7, 0.95, 1.26375149, 0.04688308, 0.01899808, 1.36550478, 1.33449522, 1],
                 [2.8, 0.95, 1.33481415, 0.04772955, 0.01831948, 1.41554921, 1.38445079, 1],
                 [2.9, 0.95, 1.40090568, 0.04834963, 0.01768769, 1.46551728, 1.43448272, 1],
                 [3.0, 0.95, 1.46320121, 0.04880455, 0.01709803, 1.51541800, 1.48458200, 1],
                 [3.1, 0.95, 1.52257700, 0.04913807, 0.01654642, 1.56526145, 1.53473855, 1],
                 [3.2, 0.95, 1.57969942, 0.04938198, 0.01602930, 1.61505805, 1.58494195, 1],
                 [3.3, 0.95, 1.63508212, 0.04955967, 0.01554353, 1.66481793, 1.63518207, 1],
                 [3.4, 0.95, 1.68912443, 0.04968846, 0.01508634, 1.71455046, 1.68544954, 1],
                 [3.5, 0.95, 1.74213812, 0.04978124, 0.01465528, 1.76426399, 1.73573601, 1],
                 [3.6, 0.95, 1.79436689, 0.04984762, 0.01424817, 1.81396564, 1.78603436, 1],
                 [3.7, 0.95, 1.84600087, 0.04989475, 0.01386308, 1.86366132, 1.83633868, 1],
                 [3.8, 0.95, 1.89718774, 0.04992793, 0.01349825, 1.91335575, 1.88664425, 1],
                 [3.9, 0.95, 1.94804153, 0.04995110, 0.01315214, 1.96305258, 1.93694742, 1],
                 [4.0, 0.95, 1.99864958, 0.04996713, 0.01282333, 2.01275452, 1.98724548, 1],
                 [4.1, 0.95, 2.04907817, 0.04997811, 0.01251056, 2.06246351, 2.03753649, 1],
                 [4.2, 0.95, 2.09937711, 0.04998556, 0.01221269, 2.11218086, 2.08781914, 1],
                 [4.3, 0.95, 2.14958340, 0.04999057, 0.01192868, 2.16190737, 2.13809263, 1],
                 [4.4, 0.95, 2.19972423, 0.04999390, 0.01165757, 2.21164345, 2.18835655, 1],
                 [4.5, 0.95, 2.24981933, 0.04999609, 0.01139851, 2.26138926, 2.23861074, 1],
                 [4.6, 0.95, 2.29988286, 0.04999752, 0.01115072, 2.31114472, 2.28885528, 1],
                 [4.7, 0.95, 2.34992483, 0.04999844, 0.01091347, 2.36090962, 2.33909038, 1],
                 [4.8, 0.95, 2.39995227, 0.04999903, 0.01068610, 2.41068366, 2.38931634, 1],
                 [4.9, 0.95, 2.44997000, 0.04999940, 0.01046802, 2.46046648, 2.43953352, 1],
                 [5.0, 0.95, 2.49998134, 0.04999964, 0.01025866, 2.51025770, 2.48974230, 1],
                 [5.1, 0.95, 2.54998851, 0.04999978, 0.01005751, 2.56005692, 2.53994308, 1],
                 [5.2, 0.95, 2.59999300, 0.04999987, 0.00986410, 2.60986374, 2.59013626, 1],
                 [5.3, 0.95, 2.64999578, 0.04999992, 0.00967798, 2.65967776, 2.64032224, 1],
                 [5.4, 0.95, 2.69999748, 0.04999995, 0.00949876, 2.70949863, 2.69050137, 1],
                 [5.5, 0.95, 2.74999851, 0.04999997, 0.00932605, 2.75932598, 2.74067402, 1],
                 [5.6, 0.95, 2.79999913, 0.04999998, 0.00915952, 2.80915947, 2.79084053, 1],
                 [5.7, 0.95, 2.84999950, 0.04999999, 0.00899882, 2.85899880, 2.84100120, 1],
                 [5.8, 0.95, 2.89999971, 0.05000000, 0.00884367, 2.90884366, 2.89115634, 1],
                 [5.9, 0.95, 2.94999984, 0.05000000, 0.00869378, 2.95869377, 2.94130623, 1],
                 [6.0, 0.95, 2.99999991, 0.05000000, 0.00854888, 3.00854888, 2.99145112, 1]],
                [[2.0, 1.00, 0.00000000, 0.00000000, 0.00000000, 1.00000000, 1.00000000, 1],
                 [2.1, 1.00, 0.53356933, 0.00000000, 0.00000000, 1.05000000, 1.05000000, 1],
                 [2.2, 1.00, 0.73692151, 0.00000000, 0.00000000, 1.10000000, 1.10000000, 1],
                 [2.3, 1.00, 0.88345397, 0.00000000, 0.00000000, 1.15000000, 1.15000000, 1],
                 [2.4, 1.00, 1.00068713, 0.00000000, 0.00000000, 1.20000000, 1.20000000, 1],
                 [2.5, 1.00, 1.09966513, 0.00000000, 0.00000000, 1.25000000, 1.25000000, 1],
                 [2.6, 1.00, 1.18620786, 0.00000000, 0.00000000, 1.30000000, 1.30000000, 1],
                 [2.7, 1.00, 1.26383982, 0.00000000, 0.00000000, 1.35000000, 1.35000000, 1],
                 [2.8, 1.00, 1.33488409, 0.00000000, 0.00000000, 1.40000000, 1.40000000, 1],
                 [2.9, 1.00, 1.40096052, 0.00000000, 0.00000000, 1.45000000, 1.45000000, 1],
                 [3.0, 1.00, 1.46324374, 0.00000000, 0.00000000, 1.50000000, 1.50000000, 1],
                 [3.1, 1.00, 1.52260960, 0.00000000, 0.00000000, 1.55000000, 1.55000000, 1],
                 [3.2, 1.00, 1.57972411, 0.00000000, 0.00000000, 1.60000000, 1.60000000, 1],
                 [3.3, 1.00, 1.63510061, 0.00000000, 0.00000000, 1.65000000, 1.65000000, 1],
                 [3.4, 1.00, 1.68913810, 0.00000000, 0.00000000, 1.70000000, 1.70000000, 1],
                 [3.5, 1.00, 1.74214811, 0.00000000, 0.00000000, 1.75000000, 1.75000000, 1],
                 [3.6, 1.00, 1.79437411, 0.00000000, 0.00000000, 1.80000000, 1.80000000, 1],
                 [3.7, 1.00, 1.84600603, 0.00000000, 0.00000000, 1.85000000, 1.85000000, 1],
                 [3.8, 1.00, 1.89719139, 0.00000000, 0.00000000, 1.90000000, 1.90000000, 1],
                 [3.9, 1.00, 1.94804408, 0.00000000, 0.00000000, 1.95000000, 1.95000000, 1],
                 [4.0, 1.00, 1.99865135, 0.00000000, 0.00000000, 2.00000000, 2.00000000, 1],
                 [4.1, 1.00, 2.04907938, 0.00000000, 0.00000000, 2.05000000, 2.05000000, 1],
                 [4.2, 1.00, 2.09937793, 0.00000000, 0.00000000, 2.10000000, 2.10000000, 1],
                 [4.3, 1.00, 2.14958394, 0.00000000, 0.00000000, 2.15000000, 2.15000000, 1],
                 [4.4, 1.00, 2.19972459, 0.00000000, 0.00000000, 2.20000000, 2.20000000, 1],
                 [4.5, 1.00, 2.24981957, 0.00000000, 0.00000000, 2.25000000, 2.25000000, 1],
                 [4.6, 1.00, 2.29988301, 0.00000000, 0.00000000, 2.30000000, 2.30000000, 1],
                 [4.7, 1.00, 2.34992493, 0.00000000, 0.00000000, 2.35000000, 2.35000000, 1],
                 [4.8, 1.00, 2.39995233, 0.00000000, 0.00000000, 2.40000000, 2.40000000, 1],
                 [4.9, 1.00, 2.44997004, 0.00000000, 0.00000000, 2.45000000, 2.45000000, 1],
                 [5.0, 1.00, 2.49998137, 0.00000000, 0.00000000, 2.50000000, 2.50000000, 1],
                 [5.1, 1.00, 2.54998853, 0.00000000, 0.00000000, 2.55000000, 2.55000000, 1],
                 [5.2, 1.00, 2.59999301, 0.00000000, 0.00000000, 2.60000000, 2.60000000, 1],
                 [5.3, 1.00, 2.64999579, 0.00000000, 0.00000000, 2.65000000, 2.65000000, 1],
                 [5.4, 1.00, 2.69999749, 0.00000000, 0.00000000, 2.70000000, 2.70000000, 1],
                 [5.5, 1.00, 2.74999852, 0.00000000, 0.00000000, 2.75000000, 2.75000000, 1],
                 [5.6, 1.00, 2.79999913, 0.00000000, 0.00000000, 2.80000000, 2.80000000, 1],
                 [5.7, 1.00, 2.84999950, 0.00000000, 0.00000000, 2.85000000, 2.85000000, 1],
                 [5.8, 1.00, 2.89999971, 0.00000000, 0.00000000, 2.90000000, 2.90000000, 1],
                 [5.9, 1.00, 2.94999984, 0.00000000, 0.00000000, 2.95000000, 2.95000000, 1],
                 [6.0, 1.00, 2.99999991, 0.00000000, 0.00000000, 3.00000000, 3.00000000, 1]]]))


class Test_Correct_class(unittest.TestCase):
    correct_obj = correct.Correct(correct.get_ctableh4CorrectObj())

    def test_constants(self):
        with open(path.join(ABSOLUTE_PATH, "pickle_files/Correct__ctable"), 'rb') as handle:
            ctable = pickle_load(handle)

        self.assertEqual(len(ctable),len(self.correct_obj._ctable))
        for i,j in zip(ctable,self.correct_obj._ctable):
            self.assertEqual(len(i),len(j))
            for correction_i,correction_j in zip(i,j):
                self.assertEqual(correction_i.correction, correction_j.correction)
                self.assertEqual(correction_i.h, correction_j.h)
                self.assertEqual(correction_i.r_est, correction_j.r_est)
                self.assertEqual(correction_i.w_est, correction_j.w_est)
                self.assertEqual(correction_i.w, correction_j.w)
                self.assertEqual(correction_i.w_strong, correction_j.w_strong)
                self.assertEqual(correction_i.w_weak, correction_j.w_weak)
                self.assertTrue(correction_i.is_valid == correction_j.is_valid)

    def test_get_ctable(self):
        c_obj=self.correct_obj.getCTable(i=3,j=3)
        self.assertEqual(c_obj.correction, 0.87697386)
        self.assertEqual(c_obj.h, 0.59473282)
        self.assertEqual(c_obj.r_est, 0.15)
        self.assertEqual(c_obj.w_est, 2.3)
        self.assertEqual(c_obj.w, 0.51495761)
        self.assertEqual(c_obj.w_strong, 1.62862197)
        self.assertEqual(c_obj.w_weak, 0.67137803)
        self.assertTrue(c_obj.is_valid)

    def test__bilinear(self):
        self.assertEqual(self.correct_obj._bilinear(a=3, b=2, i_re=1, i_we=2, i=0),1.31262174)
        self.assertEqual(self.correct_obj._bilinear(a=3, b=2, i_re=1, i_we=2, i=1), 2.27518452)
        self.assertEqual(self.correct_obj._bilinear(a=3, b=2, i_re=1, i_we=2, i=2), 6.5375716799999990)
        self.assertEqual(self.correct_obj._bilinear(a=3, b=2, i_re=1, i_we=2, i=3), 5.221227519999999)
        self.assertEqual(self.correct_obj._bilinear(a=3, b=2, i_re=1, i_we=2, i=4), -1.42122752)
        self.assertEqual(self.correct_obj._bilinear(a=3, b=2, i_re=1, i_we=2, i=-1), 0)

    def test_line_corrections(self):
        correctionObj = correct.Correction(w_est=0.9119106948626793, r_rest=1.0, w=0, h=0, correction=0, w_strong=0, w_weak=0, is_valid=False)
        self.assertTrue(self.correct_obj.line_corrections(sigma=3.39,correction=correctionObj))
        self.assertEqual(correctionObj.correction,0 )
        self.assertEqual(correctionObj.h, 0)
        self.assertEqual(correctionObj.r_est,1.0 )
        self.assertEqual(correctionObj.w_est, 0.26900020497424165)
        self.assertEqual(correctionObj.w, 0)
        self.assertEqual(correctionObj.w_strong,0 )
        self.assertEqual(correctionObj.w_weak,0 )
        self.assertFalse(correctionObj.is_valid)

if __name__ == '__main__':
    unittest.main()
